LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 05-03-2006, 05:37 PM   #1
spudse
LQ Newbie
 
Registered: Oct 2005
Posts: 2

Rep: Reputation: 0
Compile php after apt-getting it


I just installed apache+php+mysql on my Debian server using apt-get. However, I would like to use the Pspell functions of php. To enable pspell I need to compile php with pspell.

How do I compile php without ruining my old installation that I installed with apt-get?

In the replies on the pspell php.net page, somebody says this:

Code:
apt-get install aspell libaspell15 libaspell-dev libpspell-dev

configure php:

./configure <your other options> --with-pspell=/usr

make & install
Will this work okay or will I have two php's running that will conflict with each other? I would like to 'upgrade' the old php, so keep all the settings etc.
 
Old 05-03-2006, 07:36 PM   #2
ataraxia
Member
 
Registered: Apr 2006
Location: Pittsburgh
Distribution: Debian Sid AMD64
Posts: 296

Rep: Reputation: 30
You probably don't need to do this. Do either of these packages meet your needs?
Code:
php4-pspell - pspell module for php4
php5-pspell - pspell module for php5
 
Old 05-04-2006, 01:34 AM   #3
spudse
LQ Newbie
 
Registered: Oct 2005
Posts: 2

Original Poster
Rep: Reputation: 0
It would be truly great if that would just work! I'm going to try it right after work, thanks.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
compile php with gd ? sonaatti Slackware 3 11-29-2004 11:46 AM
Installing newer version of php (apt-get) waffe Debian 11 06-09-2004 06:17 PM
New to debian, php problems with apt-get familyman Debian 4 05-04-2004 12:58 PM
can't compile php 4.3.3 adrianmak Linux - Software 3 11-20-2003 09:06 PM
Compile php grubjo Linux - Software 7 09-09-2002 04:19 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 12:11 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration